Summary:	Extract data from stack frames for informative displays
Name:		python3-stack-data
Version:	0.6.3
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/stack-data/
Source0:	https://files.pythonhosted.org/packages/source/s/stack_data/stack_data-%{version}.tar.gz
# Source0-md5:	d04f7cda6589138e90691aec1edbf0d5
URL:		http://github.com/alexmojaki/stack_data
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools >= 1:44
BuildRequires:	python3-setuptools_scm >= 3.4.3
BuildRequires:	python3-wheel
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extract data from python stack frames and tracebacks for informative
displays.

%prep
%setup -q -n stack_data-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md
%dir %{py3_sitescriptdir}/stack_data
%{py3_sitescriptdir}/stack_data/*.py
%{py3_sitescriptdir}/stack_data/__pycache__
%{py3_sitescriptdir}/stack_data/py.typed
%{py3_sitescriptdir}/stack_data-%{version}.dist-info
%changelog
* Tue Apr 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-stack-data.git;a=log;h=master

* Tue Apr 22 2025 Jan Palus <atler@pld-linux.org> 4f0e818
- new

